The Mighty Quest For Epic Loot

Informatie

Creator Bericht
Tutul

Warning

This installer has not been approved yet by the team.

Informatie

Platforms:
Downloads: 5113
Wine: 1.7.12

Feedbacks

Omschrijving

Warning : the server (required for this online game) was shutdown in 2016 (ref: Wikipedia).

This was a free-to-play action role-playing video game. The game combined castle building and dungeon crawling mechanics: each player built a castle filled with traps and monsters and then attacked other players' castles, earning gold and equipment. While the castle attacks were single player affairs, the game required the player to be online as the castles they attacked were those of other players.

Broncode

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2015-01-20 01:34)
# Wine version used : 1.7.12
# Distribution used to test : Fedora 21 64 bit - Ubuntu 14.04 64 bit
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
  
## Beta script ##
  
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
  
TITLE="The Mighty Quest For Epic Loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="256"
  
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
  
# Starting debugging API
POL_Debug_Init
  
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
  
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
  
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
# Install mandatory dependencies
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_d3dx9
  
# Fix Sound Stutter
Set_OS "win7"
  
# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
  
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        URL="http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe"
        POL_Download "$URL" "bd76d2146897386d4cb1761ce3f14938"
        SETUP_EXE="$POL_System_TmpDir/$(basename "$URL")"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
  
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "$TITLE.png" "-SkipMinimumConfigCheck" "Game;"
  
#Deleting temp files
POL_System_TmpDelete
  
#Closing POL
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Bericht
rashintawak Dinsdag 7 Maart 2017 om 0:41
rashintawak Anonymous

Bericht

Bonsoir,

juste pour signaller que ce jeux est maintenant mort depuis octobre 2016 je pense donc qu'il est inutile de laisser ce dernier, ubisoft n'ayant plus acun serveur dédié a ce dernié.

Antwoorden

CocoLasticot Zaterdag 16 Januari 2016 om 1:08
CocoLasticot Anonymous

Bericht

Bonsoir,

J'aimerais que quelqu'un m'aide j'aimerais vraiment joué à The mighty quest for epic loot mais dès que je lance le jeu il se ferme parfois juste après le logo Ubisoft et parfois reste bloqué sur l'écran de chargment.

Je suis sur macOS X El capitan version 10,11,2 et sur PlayOnMac 4,2,10. 

Dites moi si il vous faut des informations supplémentaires.

Merci d'avance pour votre aide

Antwoorden

petch Vrijdag 13 Februari 2015 om 18:27
petch

Information

This update has been approved by the team.

Bericht

Download URL and filename didn't match

Differences

@@ -53,8 +53,9 @@
         # Donwloading client
         POL_System_TmpCreate "$PREFIX"
         cd "$POL_System_TmpDir"
-        POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe" "bd76d2146897386d4cb1761ce3f14938"
-        SETUP_EXE="$POL_System_TmpDir/MightyQuestSetup_250170.exe"
+        URL="http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe"
+        POL_Download "$URL" "bd76d2146897386d4cb1761ce3f14938"
+        SETUP_EXE="$POL_System_TmpDir/$(basename "$URL")"
 else
         # Asking for client exe
         cd "$HOME"

New source code

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2015-01-20 01:34)
# Wine version used : 1.7.12
# Distribution used to test : Fedora 21 64 bit - Ubuntu 14.04 64 bit
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
  
## Beta script ##
  
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
  
TITLE="The Mighty Quest For Epic Loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="256"
  
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
  
# Starting debugging API
POL_Debug_Init
  
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
  
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
  
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
# Install mandatory dependencies
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_d3dx9
  
# Fix Sound Stutter
Set_OS "win7"
  
# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
  
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        URL="http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe"
        POL_Download "$URL" "bd76d2146897386d4cb1761ce3f14938"
        SETUP_EXE="$POL_System_TmpDir/$(basename "$URL")"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
  
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "$TITLE.png" "-SkipMinimumConfigCheck" "Game;"
  
#Deleting temp files
POL_System_TmpDelete
  
#Closing POL
POL_SetupWindow_Close
exit 0

Antwoorden

Anonymous
Maandag 23 Februari 2015 om 20:13
Thanks but there is again an error :
Anonymous
Maandag 23 Februari 2015 om 20:14
Error with AudioDevice. No usable or installed audio device ...
Anonymous
Maandag 2 Maart 2015 om 18:40
error with audio device on pc this means there is no usable or installed audio device on windows 7 this could happen with certain on-board sound devices if no speakers or headphones are plugged in switching to no sound
petch Donderdag 5 Februari 2015 om 21:05
petch

Warning

This update has not been approved yet by the team.
Use it at your own risk

Bericht

Set install full path when downloaded (should fix an issue seen in bug reports)

Differences

@@ -54,7 +54,7 @@
         POL_System_TmpCreate "$PREFIX"
         cd "$POL_System_TmpDir"
         POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe" "bd76d2146897386d4cb1761ce3f14938"
-        SETUP_EXE="MightyQuestSetup_250170.exe"
+        SETUP_EXE="$POL_System_TmpDir/MightyQuestSetup_250170.exe"
 else
         # Asking for client exe
         cd "$HOME"

New source code

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2015-01-20 01:34)
# Wine version used : 1.7.12
# Distribution used to test : Fedora 21 64 bit - Ubuntu 14.04 64 bit
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
  
## Beta script ##
  
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
  
TITLE="The Mighty Quest For Epic Loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="256"
  
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
  
# Starting debugging API
POL_Debug_Init
  
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
  
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
  
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
# Install mandatory dependencies
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_d3dx9
  
# Fix Sound Stutter
Set_OS "win7"
  
# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
  
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe" "bd76d2146897386d4cb1761ce3f14938"
        SETUP_EXE="$POL_System_TmpDir/MightyQuestSetup_250170.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
  
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "$TITLE.png" "-SkipMinimumConfigCheck" "Game;"
  
#Deleting temp files
POL_System_TmpDelete
  
#Closing POL
POL_SetupWindow_Close
exit 0

Antwoorden

MathisBhl Maandag 26 Januari 2015 om 2:09
MathisBhl Anonymous

Bericht

Sorry it is me again !

 

I am sorry but it still doesn't work. The error message is sometime : "Error in POL_Wine" 

Or sometime : 

Error in POL_Shortcut

Binary not found: PublicLauncher.exe

Have you installed the program to the default location?

 

"PlayOnMac has encountered an error. If the program you are installing does note work correctly, it might be the cause of the problem".

Thank you for your help !

Antwoorden

Tutul Dinsdag 20 Januari 2015 om 1:35
Tutul

Warning

This update has not been approved yet by the team.
Use it at your own risk

Bericht

- new version of the installer

Differences

@@ -1,8 +1,8 @@
 #!/bin/bash
 # Date : (2014-06-09 20:00)
-# Last revision : (2014-11-17 16:30)
+# Last revision : (2015-01-20 01:34)
 # Wine version used : 1.7.12
-# Distribution used to test : Fedora 20 64 bit - Ubuntu 14.04 64 bit
+# Distribution used to test : Fedora 21 64 bit - Ubuntu 14.04 64 bit
 # Author : Tutul & Rashintawak
 # License : GNU/GPL v3
   
@@ -53,7 +53,7 @@
         # Donwloading client
         POL_System_TmpCreate "$PREFIX"
         cd "$POL_System_TmpDir"
-        POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_250170.exe" "b2b7c69358f9491e2daab37d393dc0c3"
+        POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe" "bd76d2146897386d4cb1761ce3f14938"
         SETUP_EXE="MightyQuestSetup_250170.exe"
 else
         # Asking for client exe

New source code

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2015-01-20 01:34)
# Wine version used : 1.7.12
# Distribution used to test : Fedora 21 64 bit - Ubuntu 14.04 64 bit
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
  
## Beta script ##
  
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
  
TITLE="The Mighty Quest For Epic Loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="256"
  
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
  
# Starting debugging API
POL_Debug_Init
  
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
  
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
  
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
# Install mandatory dependencies
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_d3dx9
  
# Fix Sound Stutter
Set_OS "win7"
  
# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
  
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_254972.exe" "bd76d2146897386d4cb1761ce3f14938"
        SETUP_EXE="MightyQuestSetup_250170.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
  
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "$TITLE.png" "-SkipMinimumConfigCheck" "Game;"
  
#Deleting temp files
POL_System_TmpDelete
  
#Closing POL
POL_SetupWindow_Close
exit 0

Antwoorden

MathisBhl Dinsdag 20 Januari 2015 om 1:09
MathisBhl Anonymous

Bericht

Unfortunately, It does'nt work for me. 

At the end of the download, they say that there is an error with the file...

It is really strange because for me, the file is .exe ...

Thank you to fix this. And thank you a lot for your work :) !!

Antwoorden

Dinsdag 20 Januari 2015 om 1:26
Full computer specs and debug output are needed to figure out the problem. :)
Dinsdag 20 Januari 2015 om 1:33
Probably an update... I change the script for the new version of the file
Dinsdag 20 Januari 2015 om 1:36
Ah. That would have likely thrown an md5 error, correct?
Tutul Maandag 17 November 2014 om 16:34
Tutul

Warning

This update has not been approved yet by the team.
Use it at your own risk

Bericht

- Add mandatory dependencies

- Try to fix startup crash but no change for me

- Need other people to test (maybe don't crash everywhere)

- Change URL for donwload and add MD5 check

Differences

@@ -1,82 +1,84 @@
 #!/bin/bash
 # Date : (2014-06-09 20:00)
-# Last revision : (2014-06-11 21:50)
+# Last revision : (2014-11-17 16:30)
 # Wine version used : 1.7.12
-# Distribution used to test : Ubuntu 14.04 - 64 bit (KDE)
+# Distribution used to test : Fedora 20 64 bit - Ubuntu 14.04 64 bit
 # Author : Tutul & Rashintawak
 # License : GNU/GPL v3
- 
+  
 ## Beta script ##
- 
-[ "$PLAYONLINUX" = "" ] && exit 0
+  
+[ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
- 
-TITLE="The mighty quest for epic loot"
+  
+TITLE="The Mighty Quest For Epic Loot"
 PREFIX="TheMightyQuest"
 EDITOR="Ubisoft"
 GAME_URL="https://www.themightyquest.com"
 AUTHOR="Tutul & Rashintawak"
 GAME_VMS="256"
- 
+  
 # Starting the script
-#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
 POL_SetupWindow_Init
 POL_SetupWindow_SetID 2059
- 
+  
 # Starting debugging API
 POL_Debug_Init
- 
+  
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
- 
+  
 # Setting Wine Version
 WORKING_WINE_VERSION="1.7.12"
- 
+  
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
- 
+  
 # Downloading wine if necessary and creating prefix
 POL_System_SetArch "x86"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
- 
+  
+# Install mandatory dependencies
+POL_Call POL_Install_vcrun2010
+POL_Call POL_Install_d3dx9
+  
 # Fix Sound Stutter
 Set_OS "win7"
- 
+  
 # Choose between Downloading client or using local one
 POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
- 
+  
 # Downloading client or choosing existing one
 if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
         # Donwloading client
-        POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
         POL_System_TmpCreate "$PREFIX"
         cd "$POL_System_TmpDir"
-        POL_Download "https://gs.themightyquest.com/mqel-live.distribution/PatcherService.hqs/DownloadRMLauncherSetup?environmentName=mqel-live"
-        mv "DownloadRMLauncherSetup?environmentName=mqel-live" "SetupMighty.exe"
-        SETUP_EXE="SetupMighty.exe"
+        POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_250170.exe" "b2b7c69358f9491e2daab37d393dc0c3"
+        SETUP_EXE="MightyQuestSetup_250170.exe"
 else
         # Asking for client exe
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
         SETUP_EXE="$APP_ANSWER"
 fi
- 
+  
 # Asking about memory size of graphic card
 POL_SetupWindow_VMS $GAME_VMS
- 
+  
 # Set Graphic Card information keys for wine
 POL_Wine_SetVideoDriver
- 
+  
 # Run the install
 POL_Wine_WaitBefore "$TITLE"
 POL_Wine $SETUP_EXE
 POL_Wine_WaitExit "$TITLE"
- 
+  
 # Making shortcut
-POL_Shortcut "PublicLauncher.exe" "$TITLE" "" "-SkipMinimumConfigCheck"
- 
+POL_Shortcut "PublicLauncher.exe" "$TITLE" "$TITLE.png" "-SkipMinimumConfigCheck" "Game;"
+  
 #Deleting temp files
 POL_System_TmpDelete
- 
+  
 #Closing POL
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2014-11-17 16:30)
# Wine version used : 1.7.12
# Distribution used to test : Fedora 20 64 bit - Ubuntu 14.04 64 bit
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
  
## Beta script ##
  
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
  
TITLE="The Mighty Quest For Epic Loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="256"
  
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
  
# Starting debugging API
POL_Debug_Init
  
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
  
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
  
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
# Install mandatory dependencies
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_d3dx9
  
# Fix Sound Stutter
Set_OS "win7"
  
# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
  
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        POL_Download "http://static7.cdn.ubi.com/mqel/static-live/mqel-live/LauncherSetup/PC/MightyQuestSetup_250170.exe" "b2b7c69358f9491e2daab37d393dc0c3"
        SETUP_EXE="MightyQuestSetup_250170.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
  
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "$TITLE.png" "-SkipMinimumConfigCheck" "Game;"
  
#Deleting temp files
POL_System_TmpDelete
  
#Closing POL
POL_SetupWindow_Close
exit 0

Antwoorden

Aangepast door Tutul

FuzzyToothpaste Dinsdag 16 September 2014 om 1:45
FuzzyToothpaste Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -11,7 +11,7 @@
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
  
-TITLE="The mighty quest for epic loot"
+TITLE="The Mighty Quest For Epic Loot"
 PREFIX="TheMightyQuest"
 EDITOR="Ubisoft"
 GAME_URL="https://www.themightyquest.com"
@@ -34,14 +34,14 @@
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
  
-# Downloading wine if necessary and creating prefix
+# Downloading Wine if necessary and creating prefix
 POL_System_SetArch "x86"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
 # Fix Sound Stutter
 Set_OS "win7"
  
-# Choose between Downloading client or using local one
+# Choose between downloading client or using local one
 POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
  
 # Downloading client or choosing existing one
@@ -54,7 +54,7 @@
         mv "DownloadRMLauncherSetup?environmentName=mqel-live" "SetupMighty.exe"
         SETUP_EXE="SetupMighty.exe"
 else
-        # Asking for client exe
+        # Asking for client .exe
         cd "$HOME"
         POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
         SETUP_EXE="$APP_ANSWER"
@@ -63,7 +63,7 @@
 # Asking about memory size of graphic card
 POL_SetupWindow_VMS $GAME_VMS
  
-# Set Graphic Card information keys for wine
+# Set graphic card information keys for wine
 POL_Wine_SetVideoDriver
  
 # Run the install

New source code

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2014-06-11 21:50)
# Wine version used : 1.7.12
# Distribution used to test : Ubuntu 14.04 - 64 bit (KDE)
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
 
## Beta script ##
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="The Mighty Quest For Epic Loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="256"
 
# Starting the script
#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
 
# Starting debugging API
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Downloading Wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
# Fix Sound Stutter
Set_OS "win7"
 
# Choose between downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
 
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        POL_Download "https://gs.themightyquest.com/mqel-live.distribution/PatcherService.hqs/DownloadRMLauncherSetup?environmentName=mqel-live"
        mv "DownloadRMLauncherSetup?environmentName=mqel-live" "SetupMighty.exe"
        SETUP_EXE="SetupMighty.exe"
else
        # Asking for client .exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Set graphic card information keys for wine
POL_Wine_SetVideoDriver
 
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
 
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "" "-SkipMinimumConfigCheck"
 
#Deleting temp files
POL_System_TmpDelete
 
#Closing POL
POL_SetupWindow_Close
exit 0

Antwoorden

Tutul Vrijdag 13 Juni\ 2014 om 22:06
Tutul

Warning

This update has not been approved yet by the team.
Use it at your own risk

Bericht

Mise à jour de la configuration minimal requise pour la VRAM

Differences

@@ -16,7 +16,7 @@
 EDITOR="Ubisoft"
 GAME_URL="https://www.themightyquest.com"
 AUTHOR="Tutul & Rashintawak"
-GAME_VMS="512"
+GAME_VMS="256"
  
 # Starting the script
 #POL_GetSetupImages "" "" "$TITLE" No image uploaded for now

New source code

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2014-06-11 21:50)
# Wine version used : 1.7.12
# Distribution used to test : Ubuntu 14.04 - 64 bit (KDE)
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
 
## Beta script ##
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="The mighty quest for epic loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="256"
 
# Starting the script
#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
 
# Starting debugging API
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
# Fix Sound Stutter
Set_OS "win7"
 
# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
 
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        POL_Download "https://gs.themightyquest.com/mqel-live.distribution/PatcherService.hqs/DownloadRMLauncherSetup?environmentName=mqel-live"
        mv "DownloadRMLauncherSetup?environmentName=mqel-live" "SetupMighty.exe"
        SETUP_EXE="SetupMighty.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
 
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "" "-SkipMinimumConfigCheck"
 
#Deleting temp files
POL_System_TmpDelete
 
#Closing POL
POL_SetupWindow_Close
exit 0

Antwoorden

Aangepast door Tutul

Tutul Woensdag 11 Juni\ 2014 om 22:23
Tutul

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -21,7 +21,7 @@
 # Starting the script
 #POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
 POL_SetupWindow_Init
-# POL_SetupWindow_SetID Not now
+POL_SetupWindow_SetID 2059
  
 # Starting debugging API
 POL_Debug_Init
@@ -67,7 +67,7 @@
 POL_Wine_SetVideoDriver
  
 # Run the install
-POL_SetupWindow_message "$(eval_gettext 'We will run the installer')" "$TITLE"
+POL_Wine_WaitBefore "$TITLE"
 POL_Wine $SETUP_EXE
 POL_Wine_WaitExit "$TITLE"
  

New source code

#!/bin/bash
# Date : (2014-06-09 20:00)
# Last revision : (2014-06-11 21:50)
# Wine version used : 1.7.12
# Distribution used to test : Ubuntu 14.04 - 64 bit (KDE)
# Author : Tutul & Rashintawak
# License : GNU/GPL v3
 
## Beta script ##
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="The mighty quest for epic loot"
PREFIX="TheMightyQuest"
EDITOR="Ubisoft"
GAME_URL="https://www.themightyquest.com"
AUTHOR="Tutul & Rashintawak"
GAME_VMS="512"
 
# Starting the script
#POL_GetSetupImages "" "" "$TITLE" No image uploaded for now
POL_SetupWindow_Init
POL_SetupWindow_SetID 2059
 
# Starting debugging API
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# Setting Wine Version
WORKING_WINE_VERSION="1.7.12"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
# Fix Sound Stutter
Set_OS "win7"
 
# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "DOWNLOAD,LOCAL"
 
# Downloading client or choosing existing one
if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        POL_SetupWindow_message "$(eval_gettext 'We will download the installer')" "$TITLE"
        POL_System_TmpCreate "$PREFIX"
        cd "$POL_System_TmpDir"
        POL_Download "https://gs.themightyquest.com/mqel-live.distribution/PatcherService.hqs/DownloadRMLauncherSetup?environmentName=mqel-live"
        mv "DownloadRMLauncherSetup?environmentName=mqel-live" "SetupMighty.exe"
        SETUP_EXE="SetupMighty.exe"
else
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
fi
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Run the install
POL_Wine_WaitBefore "$TITLE"
POL_Wine $SETUP_EXE
POL_Wine_WaitExit "$TITLE"
 
# Making shortcut
POL_Shortcut "PublicLauncher.exe" "$TITLE" "" "-SkipMinimumConfigCheck"
 
#Deleting temp files
POL_System_TmpDelete
 
#Closing POL
POL_SetupWindow_Close
exit 0

Antwoorden